<?php
namespace Claromentis\Core\Config;

$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"] ?: array()) + array();




class NullConfigJson extends ConfigJson
{
    
    
    public function __construct()
    {
        
        
    }
    public function load()
    {
        
        
    }
    public function save() : void
    {
        
        
    }
    public function get(string $key)
    {
        return null;
    }
    public function set(string $key, $value) : void
    {
        
        
    }
    public function getAll() : array
    {
        return [];
    }
    public function delete(string $key) : void
    {
        
        
    }
    public function canSet(string $key) : bool
    {
        return false;
    }
}